Subject: Re: setns question

From: [email-masked] (Eric W. Biederman)
Date: Fri, 16 Mar 2012 16:36:40 -0700

yao zhao <[email-masked]> writes:

> Hi Eric,
>
> Can I ask some questions about setns?
>
> 1.setns is complete > 3.0 but right now it doesn't support mnt and pid
> yet.

Correct.  I need to find some time and get those patches merged.

> 2.setns can set a process' uts, net, ipc to different namespace, 

Yes.
> it is not fd based, right?
The argument to setns is a fd.

> 3.is this supported:
>      ProcessA's uts == ProcessB's uts
>      ProcessA's ipc == ProcessC's ipc
>      ProcessA's net == ProcessD's net

Yes.  Even without setns that is supported.

I suggest if you want more details you read the code.

Eric